<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_business.ui.activity.BusinessMainActivity.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg_white"
        android:orientation="vertical">

        <FrameLayout
            android:id="@+id/fl_container"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_0.5dp"
            android:layout_gravity="bottom"
            android:background="#E8ECF6" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_50dp"
            android:background="@color/white"
            android:orientation="horizontal">

            <!--Company-->
            <LinearLayout
                android:id="@+id/tab_company"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/selector_tab_pensonal_bg_drawable"
                android:gravity="center"
                android:onClick="@{()->click.switchEmployee()}"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/selector_tab_business_employee" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_4dp"
                    android:text="My Employees"
                    android:textColor="@color/selector_tab_main_text"
                    android:textSize="@dimen/d_11sp" />

            </LinearLayout>


            <!--Appointment-->
            <LinearLayout
                android:id="@+id/tab_appointment"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:background="@drawable/selector_tab_pensonal_bg_drawable"
                android:onClick="@{()->click.switchAppointment()}"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/selector_tab_business_appointment" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_4dp"
                    android:text="Test Appointment"
                    android:textColor="@color/selector_tab_main_text"
                    android:textSize="@dimen/d_11sp" />

            </LinearLayout>


            <!--Me-->
            <LinearLayout
                android:id="@+id/tab_me"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:background="@drawable/selector_tab_pensonal_bg_drawable"
                android:onClick="@{()->click.switchInfo()}"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/selector_tab_business_info" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_4dp"
                    android:text="Business Info"
                    android:textColor="@color/selector_tab_main_text"
                    android:textSize="@dimen/d_11sp" />

            </LinearLayout>


            <!--Setting-->
            <LinearLayout
                android:id="@+id/tab_setting"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:background="@drawable/selector_tab_pensonal_bg_drawable"
                android:onClick="@{()->click.switchSetting()}"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/selector_tab_business_setting" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_4dp"
                    android:text="Setting"
                    android:textColor="@color/selector_tab_main_text"
                    android:textSize="@dimen/d_11sp" />

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</layout>
